#!/bin/bash

xmldetail="http://dict.youdao.com/search?keyfrom=deskdict.main&xmlDetail=true&doctype=xml&xmlVersion=7.1&dogVersion=1.0&client=deskdict&appVer=5.0.32.4695&xslVer=3.0&q="
xsldetail="detail/result.xsl"
xmlsimple=""
xslsimple=""

check_in_book() {
	# 截断开头结尾的空格，将中间的连续空格换成一个空格
	word="`echo $1 | sed 's/^\(%20\)\+//g' | sed 's/\(%20\)\+$//g' | sed 's/\(%20\)\+/ /g'`"
	cut -d ';' -f 1 wordsbook | grep -q "^$word$"
	[ $? == 0 ] && echo 1 || echo 0
}

add_to_book() {
	word="`echo $1 | sed 's/^\(%20\)\+//g' | sed 's/\(%20\)\+$//g' | sed 's/\(%20\)\+/ /g'`"
	t="`date +'%y-%m-%d %H:%M'`"
	echo "$word;$t;" >> wordsbook
	echo 1
}

send_response() {
	# $1为：inbook=queryword或者detail=queryword等形式
action=${1%=*}
target=${1#*=}

case $action in
	"inbook")
		check_in_book "$target"
		;;
	"tobook")
		add_to_book "$target"
		;;
	"detail")
		./xslt "-xmlapi" "$xmldetail" "-xslapi" "$xsldetail" "-keyword" "$target" | sed '$d' 
		;;
	"simple")
		;;
	*)
		exit 1
		;;
esac
}

send_response "$1"
exit 0
